%define gal_version 0.19.1

Summary: gtkhtml library
Name: gtkhtml
Version: 1.0.4
Release: 3.1
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gtkhtml/gtkhtml-%{version}.tar.bz2
BuildRoot: %{_tmppath}/gtkhtml-%{version}-root
Requires: gnome-print >= 0.25
Requires: gdk-pixbuf >= 0.8.0
Requires: pspell
Requires: bonobo >= 0.32
BuildRequires: gdk-pixbuf-devel >= 0.8.0
BuildRequires: gnome-print-devel >= 0.24
BuildRequires: gal-devel >= %{gal_version}
BuildRequires: libunicode-devel
BuildRequires: gnome-libs-devel libcapplet0-devel libxml-devel libglade-devel
BuildRequires: bonobo-devel >= 0.32

# Fixes a bug in finding the right font for a particular size
Patch1: gtkhtml-1.0.4-fontsize.patch
Patch2: gtkhtml-1.0.2-textslave.patch

%description
GtkHTML is a lightweight HTML rendering/printing/editing engine.  It
was originally based on KHTMLW, but is now being developed
independently of it.

%package devel
Summary: Libraries, includes, etc to develop gtkhtml applications
Group: Development/Libraries
Requires: gtkhtml = %{version}-%{release} gnome-libs-devel
Requires: gnome-print-devel >= 0.25
Requires: libunicode-devel gdk-pixbuf-devel >= 0.8.0
Requires: libglade-devel libxml-devel
Requires: bonobo-devel
Requires: gal-devel >= %{gal_version}

%description devel
Libraries and include files that can be used to develop GtkHTML applications.


%prep
%setup -q

%patch1 -p1 -b .fontsize
%patch2 -p1 -b .textslave

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# remove things for new gnomecc that we don't have
rm -rf $RPM_BUILD_ROOT/usr/share/control-center/capplets

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%config /etc/CORBA/servers/*.gnorba
%{_bindir}
%{_libdir}/*.so.*
%{_datadir}/control-center
%{_datadir}/gnome
%{_datadir}/gtkhtml
%{_datadir}/oaf
%{_sysconfdir}/CORBA/*
%{_libdir}/bonobo/plugin/*.so

%doc AUTHORS ChangeLog NEWS README COPYING TODO
%files devel
%defattr(-, root, root)
%{_includedir}/gtkhtml
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.sh

%changelog
* Wed Aug 20 2003 Havoc Pennington <hp@redhat.com> 1.0.4-3.1
- fix a crash in htmltextslave.c

* Tue Jul 23 2002 Owen Taylor <otaylor@redhat.com>
- Fix problem with finding the closest size

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.4
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Jeremy Katz <katzj@redhat.com>
- tweak buildrequires for libcapplet0-devel

* Tue Mar 19 2002 Jeremy Katz <katzj@redhat.com>
- update to gtkhtml 1.0.2

* Thu Mar  7 2002 Jeremy Katz <katzj@redhat.com>
- remove superflous capplet entry (#59698)

* Mon Jan 14 2002 Jeremy Katz <katzj@redhat.com>
- rebuild to get rid of ridiculous libgal18 linkage

* Sat Jan 12 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.0.1

* Sun Dec  2 2001 Jeremy Katz <katzj@redhat.com>
- update to 1.0.0

* Sat Nov 17 2001 Jeremy Katz <katzj@redhat.com>
- update to 0.16.1

* Mon Nov  5 2001 Jeremy Katz <katzj@redhat.com>
- updated to 0.16

* Tue Oct 23 2001 Havoc Pennington <hp@redhat.com>
- 0.15

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- 0.14
- remove --without-bonobo
- langify

* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 0.9.2-9
- Moved gnome-conf file to the devel package
- Fixes SHOULD-FIX bug #49796

* Mon Jul 30 2001 Alexander Larsson <alexl@redhat.com> 
- Added dependencies on -devel packages from the gtkhtml-devel package

* Fri Jul 20 2001 Alexander Larsson <alexl@redhat.com>
- Add more build dependencies

* Thu Jul 17 2001 Bill Nottingham <notting@redhat.com>
- fix devel package requirements

* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- changed bad groups
- laguified package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- fix X11/libraries -> X11/Libraries, #47137 

* Wed Jun 13 2001 Bill Nottingham <notting@redhat.com>
- fix brokenness due to gal damage

* Wed Jun  6 2001 Bill Nottingham <notting@redhat.com>
- adapt included specfile
